cascading.platform

## Class PlatformRunner

- java.lang.Object
- - org.junit.runner.Runner
  - - org.junit.runners.ParentRunner<Runner>
    - - cascading.platform.PlatformRunner

- All Implemented Interfaces:
    Describable, Filterable, Sortable

      public class PlatformRunner
      extends ParentRunner<Runner>

  Class ParentRunner is a JUnit `Runner` sub-class for injecting different platform and planners into the *PlatformTest classes.

  It works by loading the `platform.classname` property from the `cascading/platform/platform.properties` resource. Every new platform should provide this resource.

  To test against a specific platform, simply make sure the above resource for the platform in question is in the test CLASSPATH. The simplest way is to add it as a dependency.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `PlatformRunner.Platform`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PLATFORM_CLASSNAME`
    `static java.lang.String` | `PLATFORM_INCLUDES`
    `static java.lang.String` | `PLATFORM_RESOURCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlatformRunner(java.lang.Class<PlatformTestCase> testClass)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Description` | `describeChild(Runner runner)`
    `void` | `filter(Filter filter)`
    `protected java.util.List<Runner>` | `getChildren()`
    `protected static java.util.Set<java.lang.Class<? extends TestPlatform>>` | `getPlatformClassesFromClasspath(java.lang.ClassLoader classLoader)`
    `static TestPlatform` | `makeInstance(java.lang.Class<? extends TestPlatform> type)`
    `protected void` | `runChild(Runner runner, RunNotifier runNotifier)`

    - ### Methods inherited from class org.junit.runners.ParentRunner

      `childrenInvoker, classBlock, classRules, collectInitializationErrors, getDescription, getName, getRunnerAnnotations, getTestClass, run, runLeaf, setScheduler, sort, validatePublicVoidNoArgMethods, withAfterClasses, withBeforeClasses`

    - ### Methods inherited from class org.junit.runner.Runner

      `testCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLATFORM_INCLUDES

          public static final java.lang.String PLATFORM_INCLUDES

      See Also:
        Constant Field Values

    - #### PLATFORM_RESOURCE

          public static final java.lang.String PLATFORM_RESOURCE

      See Also:
        Constant Field Values

    - #### PLATFORM_CLASSNAME

          public static final java.lang.String PLATFORM_CLASSNAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PlatformRunner

          public PlatformRunner(java.lang.Class<PlatformTestCase> testClass)
                         throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

  - ### Method Detail

    - #### makeInstance

          public static TestPlatform makeInstance(java.lang.Class<? extends TestPlatform> type)

    - #### getChildren

          protected java.util.List<Runner> getChildren()

      Specified by:
        `getChildren` in class `ParentRunner<Runner>`

    - #### getPlatformClassesFromClasspath

          protected static java.util.Set<java.lang.Class<? extends TestPlatform>> getPlatformClassesFromClasspath(java.lang.ClassLoader classLoader)
                                                                                                           throws java.io.IOException,
                                                                                                                  java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### describeChild

          protected Description describeChild(Runner runner)

      Specified by:
        `describeChild` in class `ParentRunner<Runner>`

    - #### runChild

          protected void runChild(Runner runner,
                      RunNotifier runNotifier)

      Specified by:
        `runChild` in class `ParentRunner<Runner>`

    - #### filter

          public void filter(Filter filter)
                      throws NoTestsRemainException

      Specified by:
        `filter` in interface `Filterable`
      Overrides:
        `filter` in class `ParentRunner<Runner>`
      Throws:
        `NoTestsRemainException`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.